// -*-c++-*-
//------------------------------------------------------------------------------
// xtunes - A comprehensive digital music system (http://xtunes.sourceforge.net)
// Copyright 2001 Patrick Crosby <pcrosby@pobox.com>
//------------------------------------------------------------------------------
// TitleBar.h
//
// $Id: TitleBar.h,v 1.1 2002/01/22 06:31:09 pcrosby Exp $
//------------------------------------------------------------------------------
// This program is free software; you can redistribute it and/or modify it under
// the terms of the GNU General Public License as published by the Free Software
// Foundation; either version 2 of the License, or (at your option) any later
// version.
//
// This program is distributed in the hope that it will be useful, but WITHOUT
// ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
// details.
//
// You should have received a copy of the GNU General Public License along with
// this program; if not, write to the Free Software Foundation, Inc., 59 Temple
// Place, Suite 330, Boston, MA  02111-1307  USA
//------------------------------------------------------------------------------

#ifndef __TitleBar__
#define __TitleBar__

#include <gtk--/eventbox.h>

#include "Namespace.h"

NAMESPACE_OPEN

//------------------------------------------------------------------------------

class TitleBar : public Gtk::EventBox
{
	// Constants
	// Types
	// Variables
	// Methods
	public:
		TitleBar();
		~TitleBar();

		SigC::Signal0<void> ButtonShrink;
		
		// virtual gint button_press_event_impl (GdkEventButton* p0);
};

//------------------------------------------------------------------------------

NAMESPACE_CLOSE

#endif

//------------------------------------------------------------------------------
