// -*-c++-*-
//------------------------------------------------------------------------------
// xtunes - A comprehensive digital music system (http://xtunes.sourceforge.net)
// Copyright 2001 Patrick Crosby <pcrosby@pobox.com>
//------------------------------------------------------------------------------
// XCList.h
//
// $Id: XCList.h,v 1.1 2002/02/18 20:02:51 pcrosby Exp $
//------------------------------------------------------------------------------
// This program is free software; you can redistribute it and/or modify it under
// the terms of the GNU General Public License as published by the Free Software
// Foundation; either version 2 of the License, or (at your option) any later
// version.
//
// This program is distributed in the hope that it will be useful, but WITHOUT
// ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
// details.
//
// You should have received a copy of the GNU General Public License along with
// this program; if not, write to the Free Software Foundation, Inc., 59 Temple
// Place, Suite 330, Boston, MA  02111-1307  USA
//------------------------------------------------------------------------------

#ifndef __XCList__
#define __XCList__

#include <gtk--/clist.h>

namespace xb {

//------------------------------------------------------------------------------

class XCList : public Gtk::CList
{
	// Constants
	// Types
	// Variables
	// Methods
	public:
		XCList(int columns, const gchar* titles[] = 0);

	protected:
		virtual gint focus_in_event_impl(GdkEventFocus* p0);
		virtual gint focus_out_event_impl(GdkEventFocus* p0);
		
};

//------------------------------------------------------------------------------

};

#endif

//------------------------------------------------------------------------------
